Skip to main content
`Ctrl`+`K`

# PetscDrawSPGetDimension

Get the number of sets of points that are to be drawn at each `PetscDrawSPAddPoint()`

## Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode PetscDrawSPGetDimension(PetscDrawSP sp, int *dim)

Not Collective

## Input Parameter

- sp - the scatter plot context.

## Output Parameter

- dim - the number of point curves on this process

## See Also

`PetscDrawSP`, `PetscDrawSPCreate()`, `PetscDrawSPAddPoint()`, `PetscDrawSPAddPoints()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/dscatter.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages